org.eclipse.microprofile.metrics

## Interface ConcurrentGauge

All Superinterfaces:
  Metric

    public interface ConcurrentGauge
    extends Metric

A concurrent gauge is a gauge that measures parallel invocations of a method.

Since:
  2.0
Author:
  hrupp

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dec()` Decrement the concurrent gauge's value by 1
`long` `getCount()` Get the current value of the ConcurrentGauge
`long` `getMax()` Get the maximum value of the ConcurrentGauge for the previously completed full minute.
`long` `getMin()` Get the minimum value of the ConcurrentGauge for the previously completed full minute.
`void` `inc()` Increment the concurrent gauge's value by 1

### Method Detail

#### getCount

    long getCount()

Get the current value of the ConcurrentGauge

Returns:
  the current value.

#### getMax

    long getMax()

Get the maximum value of the ConcurrentGauge for the previously completed full minute.

This represents the highest number of concurrent invocations in the last complete full minute.

Returns:
  The maximum value in the previously completed full minute.

#### getMin

    long getMin()

Get the minimum value of the ConcurrentGauge for the previously completed full minute.

This represents the lowest number of concurrent invocations in the last complete full minute.

Returns:
  The minimum value in the previously completed full minute.

#### inc

    void inc()

Increment the concurrent gauge's value by 1

#### dec

    void dec()

Decrement the concurrent gauge's value by 1